Commits

German Larrain committed 6e53417

README: changed a lot section "Installation and Requirements".

  • Participants
  • Parent commits c25a6a5

Comments (0)

Files changed (1)

 to let developers experiment with other alternatives.
 
 
-Installation and Requirements
+Installation
 -----------------------------
 
-For installation instructions and requirements, see the
-`online documentation <http://ars-project.readthedocs.org/en/latest/installation/>`_.
-
-ARS relies in these software:
-
-* Python 2.7
-* ODE (Open Dynamics Engine) 0.12 (from rev 1864 could work but is untested) with Python bindings
-* VTK (Visualization Toolkit) 5.8 with Python bindings
-* NumPy 1.6
-
-Provided ODE and VTK are already installed, execute this to get ARS up and running:
+Because ARS is ``pip``-compatible,
+it's very easy to install, upgrade and uninstall it:
 
 .. code-block:: bash
 
    $ pip install ARS
+   $ pip install --upgrade ARS
+   $ pip uninstall ARS
+
+While that's the recommended way to go, you may still follow
+the old-fashion procedure: download the file, unpack and run
+
+.. code-block:: bash
+
+   $ python setup.py install
+
+
+Requirements
+^^^^^^^^^^^^
+
+ARS needs:
+
+* Python 2.6 or 2.7
+* ODE (Open Dynamics Engine) 0.12 with Python bindings
+* VTK (Visualization Toolkit) 5.8 with Python bindings
+* NumPy 1.6
+
+ODE and VTK can be somewhat complicated to install, depending on your OS.
+
+For detailed installation instructions (ARS and requirements)
+and troubleshooting, see the
+`online documentation <http://ars-project.readthedocs.org/en/latest/installation/>`_.
 
 
 Documentation